### Function

# Qmi message_get_raw

since: 1.0

#### Declaration [src]

    const guint8*
    qmi_message_get_raw (
      QmiMessage* self,
      gsize* length,
      GError** error
    )

#### Description [src]

Gets the raw data buffer of the `QmiMessage`.

Available since: 1.0

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`length`

  Type: `gsize*`

  Return location for the size of the output buffer.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `const guint8*`

The raw data buffer, or `NULL` if `error` is set.

The data is owned by the called function.